<?xml version="1.0" encoding="UTF-8"?>
<ecore:EPackage xmi:version="2.0"
    xmlns:xmi="http://www.omg.org/XMI" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmi:id="_fiMWgIECEd6rZuT2Sa3-iQ"
    name="a_package" nsURI="http://some.model.org" nsPrefix="a_package">
  <eClassifiers xsi:type="ecore:EClass" name="Bike" eSuperTypes="#//Vehicle">
    <eOperations name="drive" ordered="false" eType="#//Bike" eExceptions="#//Bike"/>
    <eOperations name="makeService" eType="#//Bike" eExceptions="#//Bike"/>
    <eOperations name="changeGear">
      <eParameters name="toGear" eType="#//Gear"/>
    </eOperations>
  </eClassifiers>
  <eClassifiers xsi:type="ecore:EClass" name="Gear"/>
  <eClassifiers xsi:type="ecore:EClass" name="Vehicle" interface="true"/>
</ecore:EPackage>
